# game_confirm_tip

通用确认窗

# 组件使用范例

- 示例 1

![alt text](images/text.png)

```
interface MsgText {
	title?: string,//默认显示 提示
	text: string,// 可以为富文本，也可以只是字符串
	onlyConfirmBtn?: boolean,// 只有一个按钮
	oneBtnText?: string,// 只有一个按钮的按钮文字
	confirmBack?: Function, //确定回调（可传），如果方法结果是false，则不关闭确认弹窗，支持异步
	cancelBack?: Function, //取消回调（可传）
}

```
```
openConfirmTipVue(TipsType.TEXT, {
    title: "解锁队伍",
    text: `是否离开？`,
    confirmBack:  ()=>{},
    cancelBack: ()=>{},
})
```
- 示例 2

![alt text](images/cost.png)

```
interface MsgCost {
	title?: string,//默认显示 提示
	cost: number[][],//消耗
	text: string[],// `确定花费cost，解锁一个队伍？`, 
	confirmBack?: Function, //确定回调（可传），如果方法结果是false，则不关闭确认弹窗，支持异步
	cancelBack?: Function, //取消回调（可传）
}
```
```
openConfirmTipVue(TipsType.COST, {
    title: "解锁队伍",
    text: `确定花费cost，解锁一个队伍？`,
    cost: [[10101,100]],
    confirmBack: ()=>{},
    cancelBack: ()=>{},
})
```